Ruby - Bug #6514

Abort trap: 6 running rspec on rdf.rb
05/30/2012 09:57 AM - gkellogg (Gregg Kellogg)

Status: Rejected

Priority: Normal

Assignee: sorah (Sorah Fukumori)

Target version: 2.6

ruby -v: ruby 1.9.3p194 (2012-04-20 revision Backport:
35410) [x86_64-darwin11.3.0]

Description

Running RSpec on http://github.com/ruby-rdf/rdf/spec reliably generates the Abort trap.

To repeat:

1. git clone git:/github.com/ruby-rdf/rdf.git
2. cd rdf

3. bundle install

4. rspec spec

It does not seem to happen when running a subset of the spec files.

History

#1 - 05/31/2012 11:38 PM - mame (Yusuke Endoh)
- Status changed from Open to Feedback

- Assignee set to sorah (Sorah Fukumori)

| cannot reproduce.

$ git clone git://github.com/ruby-rdf/rdf.git

Cloning into 'rdf'...

remote: Counting objects: 6187, done.

remote: Compressing objects: 100% (1828/1828), done.

remote: Total 6187 (delta 4496), reused 5949 (delta 4280)
Receiving objects: 100% (6187/6187), 1.01 MiB | 258 KiB/s, done.
Resolving deltas: 100% (4496/4496), done.

$ cd rdf

$ bundle install
The path /tmp/rdf-spec does not exist.

$ rspec spec

The path /tmp/rdf-spec does not exist.

Yusuke Endoh mame@tsg.ne.jp

#2 - 06/01/2012 12:06 AM - nagachika (Tomoyuki Chikanaga)
Hi,
It seems that step 1.5

$ git clone git://github.com/ruby-rdf/rdf.git
is required.

But I also cannot reproduce abort trap with ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-darwin11.3.0].

Mr Gregg, could you tell us the messages on your terminal too?

#3 - 02/26/2013 10:19 AM - naruse (Yui NARUSE)

- Target version changed from 1.9.3 to 2.6
http://github.com/ruby-rdf/rdf/spec
mailto:mame@tsg.ne.jp

#4 - 10/01/2013 05:00 PM - sorah (Sorah Fukumori)
- Status changed from Feedback to Rejected

Closing this due to no feedbacks.
